Skip to main content
GET
/
api
/
v1
/
portfolio
Get Assets
curl --request GET \
  --url https://sandbox.oumla.com/api/v1/portfolio \
  --header 'x-api-key: <api-key>'
{
  "assets": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "amount": "1000000000000000000",
      "walletId": "123e4567-e89b-12d3-a456-426614174000",
      "addressId": "123e4567-e89b-12d3-a456-426614174000",
      "tokenizationId": "123e4567-e89b-12d3-a456-426614174000",
      "tokenId": "1",
      "name": "My Token",
      "symbol": "MTK",
      "contractAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
      "updatedAt": "2024-01-01T00:00:00.000Z",
      "createdAt": "2024-01-01T00:00:00.000Z"
    }
  ],
  "pagination": {
    "totalElements": 100,
    "totalPages": 10,
    "skip": 0,
    "take": 10
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain your API key from the dashboard.

Headers

x-sdk-version
string
default:1.0.0

SDK version header

Query Parameters

address
string

Blockchain address

walletId
string

Wallet identifier

contractAddress
string

Smart contract address

tokenizationId
string

Tokenization identifier

skip
integer
default:0

Number of records to skip

Required range: x >= 0
take
integer
default:10

Number of records to take

Required range: 1 <= x <= 100

Response

Assets retrieved successfully

Assets response object

assets
object[]
pagination
object

Pagination